"Fossies" - the Fresh Open Source Software Archive

Member "tcpflow-1.6.1/Makefile.in" (19 Feb 2021, 26946 Bytes) of package /linux/misc/tcpflow-1.6.1.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file. See also the latest Fossies "Diffs" side-by-side code changes report for "Makefile.in": 1.5.0_vs_1.6.1.

    1 # Makefile.in generated by automake 1.16.3 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2020 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 VPATH = @srcdir@
   17 am__is_gnu_make = { \
   18   if test -z '$(MAKELEVEL)'; then \
   19     false; \
   20   elif test -n '$(MAKE_HOST)'; then \
   21     true; \
   22   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
   23     true; \
   24   else \
   25     false; \
   26   fi; \
   27 }
   28 am__make_running_with_option = \
   29   case $${target_option-} in \
   30       ?) ;; \
   31       *) echo "am__make_running_with_option: internal error: invalid" \
   32               "target option '$${target_option-}' specified" >&2; \
   33          exit 1;; \
   34   esac; \
   35   has_opt=no; \
   36   sane_makeflags=$$MAKEFLAGS; \
   37   if $(am__is_gnu_make); then \
   38     sane_makeflags=$$MFLAGS; \
   39   else \
   40     case $$MAKEFLAGS in \
   41       *\\[\ \	]*) \
   42         bs=\\; \
   43         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
   44           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
   45     esac; \
   46   fi; \
   47   skip_next=no; \
   48   strip_trailopt () \
   49   { \
   50     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
   51   }; \
   52   for flg in $$sane_makeflags; do \
   53     test $$skip_next = yes && { skip_next=no; continue; }; \
   54     case $$flg in \
   55       *=*|--*) continue;; \
   56         -*I) strip_trailopt 'I'; skip_next=yes;; \
   57       -*I?*) strip_trailopt 'I';; \
   58         -*O) strip_trailopt 'O'; skip_next=yes;; \
   59       -*O?*) strip_trailopt 'O';; \
   60         -*l) strip_trailopt 'l'; skip_next=yes;; \
   61       -*l?*) strip_trailopt 'l';; \
   62       -[dEDm]) skip_next=yes;; \
   63       -[JT]) skip_next=yes;; \
   64     esac; \
   65     case $$flg in \
   66       *$$target_option*) has_opt=yes; break;; \
   67     esac; \
   68   done; \
   69   test $$has_opt = yes
   70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
   71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
   72 pkgdatadir = $(datadir)/@PACKAGE@
   73 pkgincludedir = $(includedir)/@PACKAGE@
   74 pkglibdir = $(libdir)/@PACKAGE@
   75 pkglibexecdir = $(libexecdir)/@PACKAGE@
   76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   77 install_sh_DATA = $(install_sh) -c -m 644
   78 install_sh_PROGRAM = $(install_sh) -c
   79 install_sh_SCRIPT = $(install_sh) -c
   80 INSTALL_HEADER = $(INSTALL_DATA)
   81 transform = $(program_transform_name)
   82 NORMAL_INSTALL = :
   83 PRE_INSTALL = :
   84 POST_INSTALL = :
   85 NORMAL_UNINSTALL = :
   86 PRE_UNINSTALL = :
   87 POST_UNINSTALL = :
   88 subdir = .
   89 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   90 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx.m4 \
   91 	$(top_srcdir)/m4/slg_searchdirs.m4 \
   92 	$(top_srcdir)/m4/slg_gcc_all_warnings.m4 \
   93 	$(top_srcdir)/src/be13_api/be13_configure.m4 \
   94 	$(top_srcdir)/src/be13_api/dfxml/src/dfxml_configure.m4 \
   95 	$(top_srcdir)/configure.ac
   96 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
   97 	$(ACLOCAL_M4)
   98 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
   99 	$(am__configure_deps) $(am__DIST_COMMON)
  100 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  101  configure.lineno config.status.lineno
  102 mkinstalldirs = $(install_sh) -d
  103 CONFIG_HEADER = config.h
  104 CONFIG_CLEAN_FILES = tcpflow.spec
  105 CONFIG_CLEAN_VPATH_FILES =
  106 AM_V_P = $(am__v_P_@AM_V@)
  107 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  108 am__v_P_0 = false
  109 am__v_P_1 = :
  110 AM_V_GEN = $(am__v_GEN_@AM_V@)
  111 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  112 am__v_GEN_0 = @echo "  GEN     " $@;
  113 am__v_GEN_1 = 
  114 AM_V_at = $(am__v_at_@AM_V@)
  115 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  116 am__v_at_0 = @
  117 am__v_at_1 = 
  118 SOURCES =
  119 DIST_SOURCES =
  120 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
  121 	ctags-recursive dvi-recursive html-recursive info-recursive \
  122 	install-data-recursive install-dvi-recursive \
  123 	install-exec-recursive install-html-recursive \
  124 	install-info-recursive install-pdf-recursive \
  125 	install-ps-recursive install-recursive installcheck-recursive \
  126 	installdirs-recursive pdf-recursive ps-recursive \
  127 	tags-recursive uninstall-recursive
  128 am__can_run_installinfo = \
  129   case $$AM_UPDATE_INFO_DIR in \
  130     n|no|NO) false;; \
  131     *) (install-info --version) >/dev/null 2>&1;; \
  132   esac
  133 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  134   distclean-recursive maintainer-clean-recursive
  135 am__recursive_targets = \
  136   $(RECURSIVE_TARGETS) \
  137   $(RECURSIVE_CLEAN_TARGETS) \
  138   $(am__extra_recursive_targets)
  139 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
  140 	cscope distdir distdir-am dist dist-all distcheck
  141 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP) \
  142 	config.h.in
  143 # Read a list of newline-separated strings from the standard input,
  144 # and print each of them once, without duplicates.  Input order is
  145 # *not* preserved.
  146 am__uniquify_input = $(AWK) '\
  147   BEGIN { nonempty = 0; } \
  148   { items[$$0] = 1; nonempty = 1; } \
  149   END { if (nonempty) { for (i in items) print i; }; } \
  150 '
  151 # Make sure the list of sources is unique.  This is necessary because,
  152 # e.g., the same source file might be shared among _SOURCES variables
  153 # for different programs/libraries.
  154 am__define_uniq_tagged_files = \
  155   list='$(am__tagged_files)'; \
  156   unique=`for i in $$list; do \
  157     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  158   done | $(am__uniquify_input)`
  159 ETAGS = etags
  160 CTAGS = ctags
  161 CSCOPE = cscope
  162 DIST_SUBDIRS = $(SUBDIRS)
  163 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in \
  164 	$(srcdir)/tcpflow.spec.in AUTHORS COPYING ChangeLog INSTALL \
  165 	NEWS compile install-sh missing
  166 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  167 distdir = $(PACKAGE)-$(VERSION)
  168 top_distdir = $(distdir)
  169 am__remove_distdir = \
  170   if test -d "$(distdir)"; then \
  171     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  172       && rm -rf "$(distdir)" \
  173       || { sleep 5 && rm -rf "$(distdir)"; }; \
  174   else :; fi
  175 am__post_remove_distdir = $(am__remove_distdir)
  176 am__relativize = \
  177   dir0=`pwd`; \
  178   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  179   sed_rest='s,^[^/]*/*,,'; \
  180   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  181   sed_butlast='s,/*[^/]*$$,,'; \
  182   while test -n "$$dir1"; do \
  183     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  184     if test "$$first" != "."; then \
  185       if test "$$first" = ".."; then \
  186         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
  187         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
  188       else \
  189         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
  190         if test "$$first2" = "$$first"; then \
  191           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
  192         else \
  193           dir2="../$$dir2"; \
  194         fi; \
  195         dir0="$$dir0"/"$$first"; \
  196       fi; \
  197     fi; \
  198     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  199   done; \
  200   reldir="$$dir2"
  201 DIST_ARCHIVES = $(distdir).tar.gz
  202 GZIP_ENV = --best
  203 DIST_TARGETS = dist-gzip
  204 # Exists only to be overridden by the user if desired.
  205 AM_DISTCHECK_DVI_TARGET = dvi
  206 distuninstallcheck_listfiles = find . -type f -print
  207 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  208   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  209 distcleancheck_listfiles = find . -type f -print
  210 ACLOCAL = @ACLOCAL@
  211 AMTAR = @AMTAR@
  212 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  213 AUTOCONF = @AUTOCONF@
  214 AUTOHEADER = @AUTOHEADER@
  215 AUTOMAKE = @AUTOMAKE@
  216 AWK = @AWK@
  217 CC = @CC@
  218 CCDEPMODE = @CCDEPMODE@
  219 CFLAGS = @CFLAGS@
  220 CPP = @CPP@
  221 CPPFLAGS = @CPPFLAGS@
  222 CXX = @CXX@
  223 CXXCPP = @CXXCPP@
  224 CXXDEPMODE = @CXXDEPMODE@
  225 CXXFLAGS = @CXXFLAGS@
  226 CYGPATH_W = @CYGPATH_W@
  227 DEFS = @DEFS@
  228 DEPDIR = @DEPDIR@
  229 ECHO_C = @ECHO_C@
  230 ECHO_N = @ECHO_N@
  231 ECHO_T = @ECHO_T@
  232 EGREP = @EGREP@
  233 EXEEXT = @EXEEXT@
  234 GREP = @GREP@
  235 HAVE_CXX17 = @HAVE_CXX17@
  236 INSTALL = @INSTALL@
  237 INSTALL_DATA = @INSTALL_DATA@
  238 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  239 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  240 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  241 LDFLAGS = @LDFLAGS@
  242 LIBOBJS = @LIBOBJS@
  243 LIBS = @LIBS@
  244 LTLIBOBJS = @LTLIBOBJS@
  245 MAINT = @MAINT@
  246 MAKEINFO = @MAKEINFO@
  247 MKDIR_P = @MKDIR_P@
  248 OBJEXT = @OBJEXT@
  249 PACKAGE = @PACKAGE@
  250 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  251 PACKAGE_NAME = @PACKAGE_NAME@
  252 PACKAGE_STRING = @PACKAGE_STRING@
  253 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  254 PACKAGE_URL = @PACKAGE_URL@
  255 PACKAGE_VERSION = @PACKAGE_VERSION@
  256 PATH_SEPARATOR = @PATH_SEPARATOR@
  257 SET_MAKE = @SET_MAKE@
  258 SHELL = @SHELL@
  259 STRIP = @STRIP@
  260 VERSION = @VERSION@
  261 abs_builddir = @abs_builddir@
  262 abs_srcdir = @abs_srcdir@
  263 abs_top_builddir = @abs_top_builddir@
  264 abs_top_srcdir = @abs_top_srcdir@
  265 ac_ct_CC = @ac_ct_CC@
  266 ac_ct_CXX = @ac_ct_CXX@
  267 ac_prefix_program = @ac_prefix_program@
  268 am__include = @am__include@
  269 am__leading_dot = @am__leading_dot@
  270 am__quote = @am__quote@
  271 am__tar = @am__tar@
  272 am__untar = @am__untar@
  273 bindir = @bindir@
  274 build_alias = @build_alias@
  275 builddir = @builddir@
  276 datadir = @datadir@
  277 datarootdir = @datarootdir@
  278 docdir = @docdir@
  279 dvidir = @dvidir@
  280 exec_prefix = @exec_prefix@
  281 git = @git@
  282 host_alias = @host_alias@
  283 htmldir = @htmldir@
  284 includedir = @includedir@
  285 infodir = @infodir@
  286 install_sh = @install_sh@
  287 libdir = @libdir@
  288 libexecdir = @libexecdir@
  289 localedir = @localedir@
  290 localstatedir = @localstatedir@
  291 mandir = @mandir@
  292 mkdir_p = @mkdir_p@
  293 oldincludedir = @oldincludedir@
  294 pdfdir = @pdfdir@
  295 prefix = @prefix@
  296 program_transform_name = @program_transform_name@
  297 psdir = @psdir@
  298 sbindir = @sbindir@
  299 sharedstatedir = @sharedstatedir@
  300 srcdir = @srcdir@
  301 sysconfdir = @sysconfdir@
  302 target_alias = @target_alias@
  303 top_build_prefix = @top_build_prefix@
  304 top_builddir = @top_builddir@
  305 top_srcdir = @top_srcdir@
  306 
  307 # Makefile.am for tcpflow
  308 # 
  309 SUBDIRS = src doc tests
  310 EXTRA_DIST = tcpflow.spec.in TODO.txt m4/ax_pthread.m4
  311 ACLOCAL_AMFLAGS = -I m4
  312 AM_CFLAGS = -Wall
  313 
  314 #
  315 # AFFLIB RELEASE SYSTEM V1.0 FOLLOWS
  316 #
  317 RELEASE_USER = simsong@
  318 RELEASE_HOST = digitalcorpora.org
  319 RELEASE_DIR = digitalcorpora.org/
  320 RELEASE_LOC = $(RELEASE_DIR)/downloads/
  321 VERSION_FN = $(PACKAGE)_version.txt
  322 RELEASE_PATH = $(RELEASE_LOC)/$(VERSION_FN)
  323 RELEASE_SSH = $(RELEASE_USER)$(RELEASE_HOST):$(RELEASE_LOC)
  324 FN = $(PACKAGE_TARNAME)-$(PACKAGE_VERSION).zip
  325 all: config.h
  326 	$(MAKE) $(AM_MAKEFLAGS) all-recursive
  327 
  328 .SUFFIXES:
  329 am--refresh: Makefile
  330 	@:
  331 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
  332 	@for dep in $?; do \
  333 	  case '$(am__configure_deps)' in \
  334 	    *$$dep*) \
  335 	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
  336 	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
  337 		&& exit 0; \
  338 	      exit 1;; \
  339 	  esac; \
  340 	done; \
  341 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
  342 	$(am__cd) $(top_srcdir) && \
  343 	  $(AUTOMAKE) --foreign Makefile
  344 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  345 	@case '$?' in \
  346 	  *config.status*) \
  347 	    echo ' $(SHELL) ./config.status'; \
  348 	    $(SHELL) ./config.status;; \
  349 	  *) \
  350 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
  351 	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
  352 	esac;
  353 
  354 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  355 	$(SHELL) ./config.status --recheck
  356 
  357 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
  358 	$(am__cd) $(srcdir) && $(AUTOCONF)
  359 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  360 	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  361 $(am__aclocal_m4_deps):
  362 
  363 config.h: stamp-h1
  364 	@test -f $@ || rm -f stamp-h1
  365 	@test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
  366 
  367 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  368 	@rm -f stamp-h1
  369 	cd $(top_builddir) && $(SHELL) ./config.status config.h
  370 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
  371 	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  372 	rm -f stamp-h1
  373 	touch $@
  374 
  375 distclean-hdr:
  376 	-rm -f config.h stamp-h1
  377 tcpflow.spec: $(top_builddir)/config.status $(srcdir)/tcpflow.spec.in
  378 	cd $(top_builddir) && $(SHELL) ./config.status $@
  379 
  380 # This directory's subdirectories are mostly independent; you can cd
  381 # into them and run 'make' without going through this Makefile.
  382 # To change the values of 'make' variables: instead of editing Makefiles,
  383 # (1) if the variable is set in 'config.status', edit 'config.status'
  384 #     (which will cause the Makefiles to be regenerated when you run 'make');
  385 # (2) otherwise, pass the desired values on the 'make' command line.
  386 $(am__recursive_targets):
  387 	@fail=; \
  388 	if $(am__make_keepgoing); then \
  389 	  failcom='fail=yes'; \
  390 	else \
  391 	  failcom='exit 1'; \
  392 	fi; \
  393 	dot_seen=no; \
  394 	target=`echo $@ | sed s/-recursive//`; \
  395 	case "$@" in \
  396 	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  397 	  *) list='$(SUBDIRS)' ;; \
  398 	esac; \
  399 	for subdir in $$list; do \
  400 	  echo "Making $$target in $$subdir"; \
  401 	  if test "$$subdir" = "."; then \
  402 	    dot_seen=yes; \
  403 	    local_target="$$target-am"; \
  404 	  else \
  405 	    local_target="$$target"; \
  406 	  fi; \
  407 	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  408 	  || eval $$failcom; \
  409 	done; \
  410 	if test "$$dot_seen" = "no"; then \
  411 	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  412 	fi; test -z "$$fail"
  413 
  414 ID: $(am__tagged_files)
  415 	$(am__define_uniq_tagged_files); mkid -fID $$unique
  416 tags: tags-recursive
  417 TAGS: tags
  418 
  419 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  420 	set x; \
  421 	here=`pwd`; \
  422 	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  423 	  include_option=--etags-include; \
  424 	  empty_fix=.; \
  425 	else \
  426 	  include_option=--include; \
  427 	  empty_fix=; \
  428 	fi; \
  429 	list='$(SUBDIRS)'; for subdir in $$list; do \
  430 	  if test "$$subdir" = .; then :; else \
  431 	    test ! -f $$subdir/TAGS || \
  432 	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  433 	  fi; \
  434 	done; \
  435 	$(am__define_uniq_tagged_files); \
  436 	shift; \
  437 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  438 	  test -n "$$unique" || unique=$$empty_fix; \
  439 	  if test $$# -gt 0; then \
  440 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  441 	      "$$@" $$unique; \
  442 	  else \
  443 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  444 	      $$unique; \
  445 	  fi; \
  446 	fi
  447 ctags: ctags-recursive
  448 
  449 CTAGS: ctags
  450 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  451 	$(am__define_uniq_tagged_files); \
  452 	test -z "$(CTAGS_ARGS)$$unique" \
  453 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  454 	     $$unique
  455 
  456 GTAGS:
  457 	here=`$(am__cd) $(top_builddir) && pwd` \
  458 	  && $(am__cd) $(top_srcdir) \
  459 	  && gtags -i $(GTAGS_ARGS) "$$here"
  460 cscope: cscope.files
  461 	test ! -s cscope.files \
  462 	  || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  463 clean-cscope:
  464 	-rm -f cscope.files
  465 cscope.files: clean-cscope cscopelist
  466 cscopelist: cscopelist-recursive
  467 
  468 cscopelist-am: $(am__tagged_files)
  469 	list='$(am__tagged_files)'; \
  470 	case "$(srcdir)" in \
  471 	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  472 	  *) sdir=$(subdir)/$(srcdir) ;; \
  473 	esac; \
  474 	for i in $$list; do \
  475 	  if test -f "$$i"; then \
  476 	    echo "$(subdir)/$$i"; \
  477 	  else \
  478 	    echo "$$sdir/$$i"; \
  479 	  fi; \
  480 	done >> $(top_builddir)/cscope.files
  481 
  482 distclean-tags:
  483 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  484 	-rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  485 
  486 distdir: $(BUILT_SOURCES)
  487 	$(MAKE) $(AM_MAKEFLAGS) distdir-am
  488 
  489 distdir-am: $(DISTFILES)
  490 	$(am__remove_distdir)
  491 	test -d "$(distdir)" || mkdir "$(distdir)"
  492 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  493 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  494 	list='$(DISTFILES)'; \
  495 	  dist_files=`for file in $$list; do echo $$file; done | \
  496 	  sed -e "s|^$$srcdirstrip/||;t" \
  497 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  498 	case $$dist_files in \
  499 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
  500 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  501 			   sort -u` ;; \
  502 	esac; \
  503 	for file in $$dist_files; do \
  504 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  505 	  if test -d $$d/$$file; then \
  506 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  507 	    if test -d "$(distdir)/$$file"; then \
  508 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  509 	    fi; \
  510 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  511 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  512 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  513 	    fi; \
  514 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  515 	  else \
  516 	    test -f "$(distdir)/$$file" \
  517 	    || cp -p $$d/$$file "$(distdir)/$$file" \
  518 	    || exit 1; \
  519 	  fi; \
  520 	done
  521 	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  522 	  if test "$$subdir" = .; then :; else \
  523 	    $(am__make_dryrun) \
  524 	      || test -d "$(distdir)/$$subdir" \
  525 	      || $(MKDIR_P) "$(distdir)/$$subdir" \
  526 	      || exit 1; \
  527 	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
  528 	    $(am__relativize); \
  529 	    new_distdir=$$reldir; \
  530 	    dir1=$$subdir; dir2="$(top_distdir)"; \
  531 	    $(am__relativize); \
  532 	    new_top_distdir=$$reldir; \
  533 	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
  534 	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
  535 	    ($(am__cd) $$subdir && \
  536 	      $(MAKE) $(AM_MAKEFLAGS) \
  537 	        top_distdir="$$new_top_distdir" \
  538 	        distdir="$$new_distdir" \
  539 		am__remove_distdir=: \
  540 		am__skip_length_check=: \
  541 		am__skip_mode_fix=: \
  542 	        distdir) \
  543 	      || exit 1; \
  544 	  fi; \
  545 	done
  546 	-test -n "$(am__skip_mode_fix)" \
  547 	|| find "$(distdir)" -type d ! -perm -755 \
  548 		-exec chmod u+rwx,go+rx {} \; -o \
  549 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  550 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  551 	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  552 	|| chmod -R a+r "$(distdir)"
  553 dist-gzip: distdir
  554 	tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
  555 	$(am__post_remove_distdir)
  556 
  557 dist-bzip2: distdir
  558 	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  559 	$(am__post_remove_distdir)
  560 
  561 dist-lzip: distdir
  562 	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  563 	$(am__post_remove_distdir)
  564 
  565 dist-xz: distdir
  566 	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  567 	$(am__post_remove_distdir)
  568 
  569 dist-zstd: distdir
  570 	tardir=$(distdir) && $(am__tar) | zstd -c $${ZSTD_CLEVEL-$${ZSTD_OPT--19}} >$(distdir).tar.zst
  571 	$(am__post_remove_distdir)
  572 
  573 dist-tarZ: distdir
  574 	@echo WARNING: "Support for distribution archives compressed with" \
  575 		       "legacy program 'compress' is deprecated." >&2
  576 	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  577 	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  578 	$(am__post_remove_distdir)
  579 
  580 dist-shar: distdir
  581 	@echo WARNING: "Support for shar distribution archives is" \
  582 	               "deprecated." >&2
  583 	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  584 	shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
  585 	$(am__post_remove_distdir)
  586 
  587 dist-zip: distdir
  588 	-rm -f $(distdir).zip
  589 	zip -rq $(distdir).zip $(distdir)
  590 	$(am__post_remove_distdir)
  591 
  592 dist dist-all:
  593 	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  594 	$(am__post_remove_distdir)
  595 
  596 # This target untars the dist file and tries a VPATH configuration.  Then
  597 # it guarantees that the distribution is self-contained by making another
  598 # tarfile.
  599 distcheck: dist
  600 	case '$(DIST_ARCHIVES)' in \
  601 	*.tar.gz*) \
  602 	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
  603 	*.tar.bz2*) \
  604 	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  605 	*.tar.lz*) \
  606 	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  607 	*.tar.xz*) \
  608 	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  609 	*.tar.Z*) \
  610 	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  611 	*.shar.gz*) \
  612 	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
  613 	*.zip*) \
  614 	  unzip $(distdir).zip ;;\
  615 	*.tar.zst*) \
  616 	  zstd -dc $(distdir).tar.zst | $(am__untar) ;;\
  617 	esac
  618 	chmod -R a-w $(distdir)
  619 	chmod u+w $(distdir)
  620 	mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
  621 	chmod a-w $(distdir)
  622 	test -d $(distdir)/_build || exit 0; \
  623 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  624 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  625 	  && am__cwd=`pwd` \
  626 	  && $(am__cd) $(distdir)/_build/sub \
  627 	  && ../../configure \
  628 	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  629 	    $(DISTCHECK_CONFIGURE_FLAGS) \
  630 	    --srcdir=../.. --prefix="$$dc_install_base" \
  631 	  && $(MAKE) $(AM_MAKEFLAGS) \
  632 	  && $(MAKE) $(AM_MAKEFLAGS) $(AM_DISTCHECK_DVI_TARGET) \
  633 	  && $(MAKE) $(AM_MAKEFLAGS) check \
  634 	  && $(MAKE) $(AM_MAKEFLAGS) install \
  635 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  636 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  637 	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  638 	        distuninstallcheck \
  639 	  && chmod -R a-w "$$dc_install_base" \
  640 	  && ({ \
  641 	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  642 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  643 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  644 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  645 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  646 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
  647 	  && rm -rf "$$dc_destdir" \
  648 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
  649 	  && rm -rf $(DIST_ARCHIVES) \
  650 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  651 	  && cd "$$am__cwd" \
  652 	  || exit 1
  653 	$(am__post_remove_distdir)
  654 	@(echo "$(distdir) archives ready for distribution: "; \
  655 	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  656 	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  657 distuninstallcheck:
  658 	@test -n '$(distuninstallcheck_dir)' || { \
  659 	  echo 'ERROR: trying to run $@ with an empty' \
  660 	       '$$(distuninstallcheck_dir)' >&2; \
  661 	  exit 1; \
  662 	}; \
  663 	$(am__cd) '$(distuninstallcheck_dir)' || { \
  664 	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  665 	  exit 1; \
  666 	}; \
  667 	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  668 	   || { echo "ERROR: files left after uninstall:" ; \
  669 	        if test -n "$(DESTDIR)"; then \
  670 	          echo "  (check DESTDIR support)"; \
  671 	        fi ; \
  672 	        $(distuninstallcheck_listfiles) ; \
  673 	        exit 1; } >&2
  674 distcleancheck: distclean
  675 	@if test '$(srcdir)' = . ; then \
  676 	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  677 	  exit 1 ; \
  678 	fi
  679 	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  680 	  || { echo "ERROR: files left in build directory after distclean:" ; \
  681 	       $(distcleancheck_listfiles) ; \
  682 	       exit 1; } >&2
  683 check-am: all-am
  684 check: check-recursive
  685 all-am: Makefile config.h
  686 installdirs: installdirs-recursive
  687 installdirs-am:
  688 install: install-recursive
  689 install-exec: install-exec-recursive
  690 install-data: install-data-recursive
  691 uninstall: uninstall-recursive
  692 
  693 install-am: all-am
  694 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  695 
  696 installcheck: installcheck-recursive
  697 install-strip:
  698 	if test -z '$(STRIP)'; then \
  699 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  700 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  701 	      install; \
  702 	else \
  703 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  704 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  705 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  706 	fi
  707 mostlyclean-generic:
  708 
  709 clean-generic:
  710 
  711 distclean-generic:
  712 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  713 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  714 
  715 maintainer-clean-generic:
  716 	@echo "This command is intended for maintainers to use"
  717 	@echo "it deletes files that may require special tools to rebuild."
  718 clean: clean-recursive
  719 
  720 clean-am: clean-generic mostlyclean-am
  721 
  722 distclean: distclean-recursive
  723 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  724 	-rm -f Makefile
  725 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
  726 
  727 dvi: dvi-recursive
  728 
  729 dvi-am:
  730 
  731 html: html-recursive
  732 
  733 html-am:
  734 
  735 info: info-recursive
  736 
  737 info-am:
  738 
  739 install-data-am:
  740 
  741 install-dvi: install-dvi-recursive
  742 
  743 install-dvi-am:
  744 
  745 install-exec-am:
  746 
  747 install-html: install-html-recursive
  748 
  749 install-html-am:
  750 
  751 install-info: install-info-recursive
  752 
  753 install-info-am:
  754 
  755 install-man:
  756 
  757 install-pdf: install-pdf-recursive
  758 
  759 install-pdf-am:
  760 
  761 install-ps: install-ps-recursive
  762 
  763 install-ps-am:
  764 
  765 installcheck-am:
  766 
  767 maintainer-clean: maintainer-clean-recursive
  768 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  769 	-rm -rf $(top_srcdir)/autom4te.cache
  770 	-rm -f Makefile
  771 maintainer-clean-am: distclean-am maintainer-clean-generic
  772 
  773 mostlyclean: mostlyclean-recursive
  774 
  775 mostlyclean-am: mostlyclean-generic
  776 
  777 pdf: pdf-recursive
  778 
  779 pdf-am:
  780 
  781 ps: ps-recursive
  782 
  783 ps-am:
  784 
  785 uninstall-am:
  786 
  787 .MAKE: $(am__recursive_targets) all install-am install-strip
  788 
  789 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
  790 	am--refresh check check-am clean clean-cscope clean-generic \
  791 	cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
  792 	dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
  793 	dist-zstd distcheck distclean distclean-generic distclean-hdr \
  794 	distclean-tags distcleancheck distdir distuninstallcheck dvi \
  795 	dvi-am html html-am info info-am install install-am \
  796 	install-data install-data-am install-dvi install-dvi-am \
  797 	install-exec install-exec-am install-html install-html-am \
  798 	install-info install-info-am install-man install-pdf \
  799 	install-pdf-am install-ps install-ps-am install-strip \
  800 	installcheck installcheck-am installdirs installdirs-am \
  801 	maintainer-clean maintainer-clean-generic mostlyclean \
  802 	mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
  803 	uninstall-am
  804 
  805 .PRECIOUS: Makefile
  806 
  807 
  808 renew:
  809 	touch NEWS README AUTHORS ChangeLog stamp-h
  810 	aclocal
  811 	autoheader -f
  812 	autoconf -f
  813 	automake --add-missing -c
  814 
  815 grenew:
  816 	touch NEWS README AUTHORS ChangeLog stamp-h
  817 	aclocal
  818 	autoheader -f
  819 	autoconf -f
  820 	automake --add-missing -c
  821 
  822 # For testing:
  823 pdft:	
  824 	(cd src;make tcpflow)
  825 	/bin/rm -rf out
  826 	src/tcpflow -a -o out -r /corp/nps/packets/2008-nitroba/nitroba.pcap -w out/extra.pcap
  827 	open out/report.pdf
  828 
  829 release:
  830 	make dist
  831 	make distcheck
  832 	make the_release
  833 
  834 the_release: $(RELEASEFN)
  835 	gpg --detach-sign $(RELEASEFN)
  836 	@echo Release $(RELEASE_VER) uploaded to server
  837 
  838 tcpflow32.exe:
  839 	mingw32-configure
  840 	make clean
  841 	make 
  842 	mv -f src/tcpflow.exe tcpflow32.exe
  843 
  844 tcpflow64.exe:
  845 	mingw64-configure
  846 	make clean
  847 	make 
  848 	mv -f src/tcpflow.exe tcpflow64.exe
  849 $(FN): tcpflow32.exe tcpflow64.exe
  850 	/bin/rm -f tcpflow*.exe $(FN)
  851 	make tcpflow32.exe
  852 	make tcpflow64.exe
  853 	zip $(FN) tcpflow32.exe tcpflow64.exe
  854 
  855 winrelease: $(FN)
  856 
  857 pub: $(FN)
  858 	scp $(FN) dcorpora@digitalcorpora.org:downloads/tcpflow/
  859 
  860 .PHONY: pull
  861 pull:
  862 	git pull
  863 	(cd src/dfxml;git pull)
  864 	(cd src/be13_api;git pull)
  865 #
  866 # END OF AFFLIB RELEASE SYSTEM
  867 #
  868 
  869 # Tell versions [3.59,3.63) of GNU make to not export all variables.
  870 # Otherwise a system limit (for SysV at least) may be exceeded.
  871 .NOEXPORT: